package cn.com.yict.framemax.frame.convert;

import cn.com.yict.framemax.frame.entity.LargeModelConfigEntity;
import cn.com.yict.framemax.frame.model.LargeModelConfigModel;

public class LargeModelConfigConvert {

    public static LargeModelConfigEntity modelToEntity(LargeModelConfigModel model){
        LargeModelConfigEntity largeModelConfigEntity = new LargeModelConfigEntity();
        largeModelConfigEntity.setId(model.getId());
        largeModelConfigEntity.setParamCode(model.getParamCode());
        largeModelConfigEntity.setParamValue(model.getParamValue());
        largeModelConfigEntity.setMaxTokens(model.getMaxTokens());
        largeModelConfigEntity.setPresencePenalty(model.getPresencePenalty());
        largeModelConfigEntity.setTemperature(model.getTemperature());
        largeModelConfigEntity.setTopP(model.getTopP());
        largeModelConfigEntity.setPromptValue(model.getPromptValue());
        largeModelConfigEntity.setAssistantContent(model.getAssistantContent());
        largeModelConfigEntity.setTimbreId(model.getTimbreId());
        largeModelConfigEntity.setTimbreName(model.getTimbreName());
        largeModelConfigEntity.setIsDeleted(model.getIsDeleted());
        return largeModelConfigEntity;

    }

    public static LargeModelConfigModel entityToModel(LargeModelConfigEntity entity){
        LargeModelConfigModel largeModelConfigModel = new LargeModelConfigModel();
        largeModelConfigModel.setId(entity.getId());
        largeModelConfigModel.setParamCode(entity.getParamCode());
        largeModelConfigModel.setParamValue(entity.getParamValue());
        largeModelConfigModel.setMaxTokens(entity.getMaxTokens());
        largeModelConfigModel.setPresencePenalty(entity.getPresencePenalty());
        largeModelConfigModel.setTemperature(entity.getTemperature());
        largeModelConfigModel.setTopP(entity.getTopP());
        largeModelConfigModel.setPromptValue(entity.getPromptValue());
        largeModelConfigModel.setAssistantContent(entity.getAssistantContent());
        largeModelConfigModel.setTimbreId(entity.getTimbreId());
        largeModelConfigModel.setTimbreName(entity.getTimbreName());
        largeModelConfigModel.setIsDeleted(entity.getIsDeleted());
        return largeModelConfigModel;

    }
}
